with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLMimeTypesCollection_Interface is

   procedure Initialize (This : in out IHTMLMimeTypesCollection_Type) is
   begin
      Set_IID (This, IID_IHTMLMimeTypesCollection);
   end Initialize;

   function Pointer (This : IHTMLMimeTypesCollection_Type)
     return Pointer_To_IHTMLMimeTypesCollection
   is
   begin
      return To_Pointer_To_IHTMLMimeTypesCollection (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLMimeTypesCollection_Type;
                     Pointer : in     Pointer_To_IHTMLMimeTypesCollection)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   function Get_length
     (This : IHTMLMimeTypesCollection_Type)
     return Interfaces.C.long
   is
       RetVal : aliased Interfaces.C.long;
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.Get_length
         (Pointer (This),
          RetVal'Unchecked_Access));

      return RetVal;
   end Get_length;

end MSHTML.IHTMLMimeTypesCollection_Interface;

